[B044] clinical result search

post
https://connect.patsnap.com/synapse/ct-result/search
Try in Sandbox

Obtain clinical result through drug, target, disease, etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
offset
integer<int64>-
Offset, default 0
limit
integer<int64>10
Limit, default 10. offset + limit <= 10000, limit up to 1,000.
main_experimentation_drug
object{ "value": [ "945fa31ebe9e41ae912e493aa3324576" ], "condition": "OR" }
Main Experimental Drug, The "condition" field defaults to OR and support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "945fa31ebe9e41ae912e493aa3324576" ]
Value List
overall_enrollment
object{ "to": 1000, "from": 500 }
Overall Enrollment
from
integer<int64>500
from
to
integer<int64>1000
to
sort
array[ { "sort_field": "ANNOTATION_METHOD_RANK", "sort_order": "desc" } ]
Field order, field can support:ANNOTATION_METHOD_RANK; order can support:desc, asc(default desc)
sort_field
stringPUBLISHED_TIME
sort field, enum values: PUBLISHED_TIME
sort_order
stringdesc
sort order, support:desc,asc
disease
object{ "value": [ "62eaee6d9ee44410b8aca59dfc7408e9" ], "condition": "OR" }
Indication, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "62eaee6d9ee44410b8aca59dfc7408e9" ]
Value List
target
object{ "value": [ "9786d32e3d244a688ec6a60d2fe1b10b" ], "condition": "OR" }
Target, The "condition" field defaults to OR and support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "9786d32e3d244a688ec6a60d2fe1b10b" ]
Value List
sponsor_collaborator_organization
object{ "value": [ "6a8c172f1efc649035845f94c31a9c1e" ], "condition": "OR" }
Sponsor/collaborator, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "6a8c172f1efc649035845f94c31a9c1e" ]
Value List
study_code
array[ "KEYNOTE-045" ]
Study Code
register_number
array[ "NCT02256436" ]
Register Number
drug_type
object{ "value": [ "c38eb408d6b842f487d6a27484156633" ], "condition": "OR" }
Drug Type, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "c38eb408d6b842f487d6a27484156633" ]
Value List
control_drug
object{ "value": [ "095fdb04424f4214a7b26b7ff6877e67" ], "condition": "OR" }
Control Drug , The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "095fdb04424f4214a7b26b7ff6877e67" ]
Value List
therapeutic_area
array[ "62eaee6d9ee44410b8aca59dfc7408e9" ]
Therapeutic Areas, Retrieve therapeutic area id using the [B058].
mechanism_action
object{ "value": [ "4dd338b149b3ecd0ee860e1fb379b44f" ], "condition": "OR" }
Mechanism, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "4dd338b149b3ecd0ee860e1fb379b44f" ]
Value List
ct_result_meeting
array[ "c47a5730bf5e40b3aa76c26820ec6d4e" ]
Clinical trial result meeting ID, obtain this through the dictionary query interface
outcome
object{ "value": [ "84a502e8ba664184bd01fbee1e8554c3" ], "condition": "OR" }
Outcome, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "84a502e8ba664184bd01fbee1e8554c3" ]
Value List
therapy_type
array[ "SECOND_LINE" ]
Therapy Type. The value is an enum with the following values: FIRST_LINE, SECOND_LINE, THIRD_LINE, LAST_LINE, ADJUVANT, NEOADJUVANT, MAINTENANCE, CONSOLIDATION, ADD_ON, INDUCTION.
phase
array[ "Phase_3" ]
Trial Phase. The value is an enum with the following values: Early_Phase_1, Phase_1, Phase_1_2, Phase_2, Phase_2_3, Phase_3, Phase_4, Not_Applicable.
publish_time
object{ "to": 1514851199999, "from": 1483228800000 }
Publication Date
from
integer<int64>1483228800000
from
to
integer<int64>1514851199999
to
general_evaluation
array[ "POSITIVE" ]
General Evaluation. The value is an enum with the following values: SUPERIORITY, POSITIVE, NON_INFERIORITY, SIMILAR, NON_SUPERIORITY.

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
items
arrayPlease check the form:ClinicalTrialResultSummaryDto
result items
title
stringMatching-Adjusted Indirect Treatment Comparisons (MAIC) of Sotorasib 960mg (soto960) Plus Panitumumab (pani) Vs. Trifluridine/Tipiracil(T/T) Plus Bevacizumab (bev) in Chemorefractory Metastatic Colorectal Cancer (mCRC)
Title
ct_result_id
string2eadada4ed582332940e522e5258e52e
Clinical Trial Result Id
limit
integer<int64>10
limit
total
integer<int64>10
total
offset
integer<int64>-
offset
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "items": [
      {
        "title": "Matching-Adjusted Indirect Treatment Comparisons (MAIC) of Sotorasib 960mg (soto960) Plus Panitumumab (pani) Vs. Trifluridine/Tipiracil(T/T) Plus Bevacizumab (bev) in Chemorefractory Metastatic Colorectal Cancer (mCRC)",
        "ct_result_id": "2eadada4ed582332940e522e5258e52e"
      }
    ],
    "limit": 10,
    "total": 10,
    "offset": 0
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms